commit: abc937f7b15699598c9197fc12073ff6411c05a2
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 12 18:00:03 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jul 12 23:07:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abc937f7
sys-auth/elogind: Add a warning about IUSE="-pam" in postinst
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
sys-auth/elogind/elogind-243.7.ebuild | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/sys-auth/elogind/elogind-243.7.ebuild
b/sys-auth/elogind/elogind-243.7.ebuild
index 3354180300c..43b02dab0c6 100644
--- a/sys-auth/elogind/elogind-243.7.ebuild
+++ b/sys-auth/elogind/elogind-243.7.ebuild
@@ -111,6 +111,11 @@ src_install() {
}
pkg_postinst() {
+ if ! use pam; then
+ ewarn "${PN} will not be managing user logins/seats without
USE=\"pam\"!"
+ ewarn "In other words, it will be useless for most
applications."
+ ewarn
+ fi
if [[ "$(rc-config list boot | grep elogind)" != "" ]]; then
elog "elogind is currently started from boot runlevel."
elif [[ "$(rc-config list default | grep elogind)" != "" ]]; then